$! make_design_vms.com
$! 19-NOV-1996, David Mathog, Biology Division, Caltech
$! 
$ mycc :== cc/nolis/standard=ansi89/prefix=all-
   /include=[-...]-
   /extern=common-
   /DEFINE=(MAKING_FORMS,NO_STRDUP)
$!
$ makeone: SUBROUTINE
$    foo = f$parse(P1,,,"NAME")
$    file = f$search("''foo'.OBJ")
$    if(file .eqs. "")
$    then
$      write sys$output " compiling ''P1'"
$      mycc 'P1'
$    else
$      write sys$output " exists    ''foo'.OBJ"
$    endif
$!
$ EXIT
$ ENDSUBROUTINE
$!
$ call makeone FD_ATTRIBS.C     
$ call makeone FD_CONTROL.C     
$ call makeone FD_FAKE.C        
$ call makeone FD_FILE.C        
$ call makeone FD_FORMS.C       
$ call makeone FD_GROUPS.C      
$ call makeone FD_INITFORMS.C      
$ call makeone FD_HELP.C        
$ call makeone FD_NAMES.C       
$ call makeone FD_OBJECTS.C     
$ call makeone FD_PALLETTE.C     !new in 0.88
$ call makeone FD_PRINTC.C      
$ call makeone FD_RUBBER.C      
$ call makeone FD_SELECT.C      
$ call makeone FD_SPEC.C        
$ call makeone FD_SUPER.C        !new in 0.88
$!removed in 0.88   call makeone FKBROWSER.C      
$ call makeone SP_BROWSER.C      !new in 0.88
$ call makeone SP_BUTTON.C      
$ call makeone SP_CHOICE.C       !new in 0.88
$ call makeone SP_COUNTER.C     
$ call makeone SP_DIAL.C        
$ call makeone SP_MENU.C         !new in 0.88
$ call makeone SP_POSITIONER.C  
$ call makeone SP_SCROLLBAR.C    !new in 0.88
$ call makeone SP_SLIDER.C      
$ call makeone SP_XYPLOT.C       !new in 0.88
$! call makeone [.fd]UI_ATTRIB.C      !duplicate symbol error, live without it?
$! call makeone [.fd]UI_THEFORMS.C    !throws errors in 0.88, live without it?
$! rename [.fd]*.obj []           !pull two modules out of subdirectory
$!
$ lib/create fdesign.olb *.obj
$!
$ rename fdesign.olb [-]
$!
$ call makeone FD_MAIN.C        
$!
$ write sys$output "Now linking fd_main -> design"
$   link/exe=[-]fdesign.exe fd_main.obj, sys$input/opt
[-]fdesign.olb/lib
[-]xforms_shr.exe/share
[-]xpm_shr.exe/share
sys$share:decw$xlibshr/share
